{% extends "_layouts/cp" %}
{% set centered = true %}
{% set clientID = craft.request.lastSegment %}

{% set pays = craft.nutisPays.getClientPays(clientID) %}

{% set title = "Pagos de Suscripción"|t %}
{% set crumbs = [ { label: "Clientes registrados"|t, url: url('nutispays') } ] %}
  




{% set content %}


<p id="nopays"{% if pays|length %} class="hidden"{% endif %}>
    {{ "No hay suscripciones registradas."|t }}
</p>

{% if pays|length %}
    <table id="pays" class="data">
        <thead>
            <th scope="col">{{ "Fecha"|t }}</th>
            <th scope="col">{{ "Producto"|t }}</th>
            <th scope="col">{{ "Importe"|t }}</th>
            <th scope="col">{{ "Método de Pago"|t }}</th>
            <th scope="col">{{ "Status"|t }}</th>
        </thead>
        <tbody>

            {% for pay in pays %}

           
                <tr data-id="{{ customer.id }}" data-name="{{ customer.name|t }}">
                    <td>{{ pay.dateCreated|date("jS F Y g:ia") }}</td>
                    <td>{{pay.product}}</td>
                    <td>{{pay.amount~" "~pay.currency }}</td>
                    <td>{{pay.payment_method}}</td>
                    <td>{{pay.status}}</td>
                         
                </tr>
            {% endfor %}

        </tbody>
    </table>
{% endif %}




{% endset %}

{% set js %}
    new Craft.AdminTable({
        tableSelector: '#pays',
        noObjectsSelector: '#nopays'
    });
{% endset %}
{% includeJs js %}
